pureftpd quickstart manual

Discussion in 'Windows Desktop Systems' started by Glaanieboy, Jun 11, 2004.

  1. Glaanieboy

    Glaanieboy Moderator

    Messages:
    2,626
    Location:
    The Netherlands
    Here I am again, with yet another question:
    I am currently looking into pureftpd as a ftp server for my FreeBSD 4.10 box, but the manual is *huge*. I have tried looking for quickstart manuals, but so far I have found none. Basically what I want is to specify a directory where people with the correct username/password combination can read/write to. Maybe it is possible to link the username and password to the Unix user-information, used for login to the box? That's all I want really.
     
  2. Geffy

    Geffy Moderator Folding Team

    Messages:
    7,805
    Location:
    United Kingdom
  3. Geffy

    Geffy Moderator Folding Team

    Messages:
    7,805
    Location:
    United Kingdom
    btw, if you do run the pure-pwconvert prog/script always run pure-pw mkdb right after to properly effect the new entries
     
  4. j79zlr

    j79zlr Glaanies script monkey Political User

    Messages:
    2,725
    Location:
    Chicago
    I always liked proftpd since the config file looks like httpd.conf, make me feel at home.
     
  5. Glaanieboy

    Glaanieboy Moderator

    Messages:
    2,626
    Location:
    The Netherlands
    Thanks Geffy, I never thought of BSDguides.
    @j79zlr: That is also the main reason I choose it, as I know a little about httpd.conf.
     
  6. Geffy

    Geffy Moderator Folding Team

    Messages:
    7,805
    Location:
    United Kingdom
    I find pure-ftpd so much easier to setup, and with the puredb part on as well, you can do so much, so easily
     
  7. Glaanieboy

    Glaanieboy Moderator

    Messages:
    2,626
    Location:
    The Netherlands
    Damn, it is easy to setup! Using the guide on bsdforums.org, I set it up in 5 mins. I only have some problems with the Passive Port settings, I just can't seem to get them right. But it's late, maybe I overlooked a setting.
     
  8. j79zlr

    j79zlr Glaanies script monkey Political User

    Messages:
    2,725
    Location:
    Chicago
    IIRC you have to define the WAN IP address [with ProFTPd] to get the passive ports to work correctly.
     
  9. Geffy

    Geffy Moderator Folding Team

    Messages:
    7,805
    Location:
    United Kingdom
    yeah, set your external ip address for the passive ip and then forward the port range which you want passive to use and enter those in the pure-ftpd.conf file

    that is if you are using pure-ftpd

    which are you using??
     
  10. Glaanieboy

    Glaanieboy Moderator

    Messages:
    2,626
    Location:
    The Netherlands
    Uh I seem to have mixed some things up. I am using pureftpd. :doh:
     
  11. Glaanieboy

    Glaanieboy Moderator

    Messages:
    2,626
    Location:
    The Netherlands
    Hmm, it's confusing me. At one hand you have a pureftpd.conf file where you can set the settings, but I can't find any documentation about that file, instead pureftpd.org talks about switches used on startup. Which should I use? That could also explain why the pasv settings don't work, because I set them in the .conf file.
     
  12. Geffy

    Geffy Moderator Folding Team

    Messages:
    7,805
    Location:
    United Kingdom
    I always use the conf file, it does basically the same thing as the list of switches, but in a more formal and readable format
     
  13. Glaanieboy

    Glaanieboy Moderator

    Messages:
    2,626
    Location:
    The Netherlands
    Ah thanks. One more thing:
    when I type in /usr/local/etc/rc.d/pure-ftpd.sh stop (I wanted to restart the FTP server) I get an error about a missing prefix. I haven't edited the file since I removed the .sample from the filename...
     
  14. Geffy

    Geffy Moderator Folding Team

    Messages:
    7,805
    Location:
    United Kingdom
    hrmm thats odd, when you give it the full /usr/local/etc/rc.d/ part that is the prefix
     
  15. Glaanieboy

    Glaanieboy Moderator

    Messages:
    2,626
    Location:
    The Netherlands
    I think I am gonna extract the file and reinstall it again. Do you happen to know how I can extract one file from the ports collection? I know 'make extract', but that extracts the entire archive.
     
  16. j79zlr

    j79zlr Glaanies script monkey Political User

    Messages:
    2,725
    Location:
    Chicago
    just a though, have you tried to cd into /usr/local/etc/rc.d and run
    ./pure-ftpd.sh stop
    or whatever
     
  17. Glaanieboy

    Glaanieboy Moderator

    Messages:
    2,626
    Location:
    The Netherlands
    :( Doesn't work. Wnat me to post the contents of the file?

    edit: I just restarted the server (I installed a new fan), and pure-ftpd started up normally. Or does it only look if pureftpd_start="YES" in /etc/rc.conf (as it is now)?
     
  18. j79zlr

    j79zlr Glaanies script monkey Political User

    Messages:
    2,725
    Location:
    Chicago
    hmm, could you post the script, just wanna take a look
     
  19. Glaanieboy

    Glaanieboy Moderator

    Messages:
    2,626
    Location:
    The Netherlands
    Here.
     

    Attached Files:

  20. j79zlr

    j79zlr Glaanies script monkey Political User

    Messages:
    2,725
    Location:
    Chicago
    Try editting the script, this section:

    Code:
    if ! PREFIX=$(expr $0 : "\(/.*\)/etc/rc\.d/$(basename $0)\$"); then
    
        echo "$0: Cannot determine the PREFIX" >&2
    
        exit 1
    
    fi
    to

    Code:
    if ! PREFIX=$(expr $0 : "\(/.*\)/usr/local/etc/rc\.d/$(basename $0)\$"); then
    
        echo "$0: Cannot determine the PREFIX" >&2
    
        exit 1
    
    fi